%% Vyhodnocení testování - deskriptivní statistika, boxploty
% detekované extrémy pro původní signály - matice:
% Extremy_L_bez_sumu_TOGETHER.mat, Extremy_R_bez_sumu_TOGETHER.mat
% detekované extrémy pro zašuměné signály - matice:
% Extremy_L_noise_TOGETHER.mat, Extremy_R_noise_TOGETHER.mat

load('Extremy_L_bez_sumu_TOGETHER.mat');load('Extremy_R_bez_sumu_TOGETHER.mat');
load('Extremy_L_noise_TOGETHER.mat');load('Extremy_R_noise_TOGETHER.mat');


%% NEZAŠUMĚNÉ
%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% HIP 
% LEFT 
figure();
subplot 121;
boxplot(Extremy_L_bez_sumu_TOGETHER{1, 1}(:,[1,3,5,7]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Left Hip Flexion/Extension, nezašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);

% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_bez_sumu_TOGETHER{1, 1}(:,[1,3,5,7]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Right Hip Flexion/Extension, nezašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);
%%
% LEFT 
figure();
subplot 121;
boxplot(Extremy_L_bez_sumu_TOGETHER{1, 1}(:,[2,4,6,8]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Left Hip Flexion/Extension, nezašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);
% RIGHT 

% figure();
subplot 122;
boxplot(Extremy_R_bez_sumu_TOGETHER{1, 1}(:,[2,4,6,8]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Right Hip Flexion/Extension, nezašuměné signály','FontSize',14)  
ylabel('% krokového cyklu','FontSize',12);

%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% KNEE
% LEFT 
figure();subplot 121;
boxplot(Extremy_L_bez_sumu_TOGETHER{2, 1}(:,[1,3,5,7]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Left Knee Flexion/Extension, nezašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);

% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_bez_sumu_TOGETHER{2, 1}(:,[1,3,5,7]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Right Knee Flexion/Extension, nezašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);

% LEFT 
figure();subplot 121;
boxplot(Extremy_L_bez_sumu_TOGETHER{2, 1}(:,[2,4,6,8]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Left Knee Flexion/Extension, nezašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);

% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_bez_sumu_TOGETHER{2, 1}(:,[2,4,6,8]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Right Knee Flexion/Extension, nezašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);
%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ANKLE
% LEFT 
figure();subplot 121;
boxplot(Extremy_L_bez_sumu_TOGETHER{3, 1}(:,[1,3,5,7]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Left Ankle Dorsi/Plantar, nezašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);
% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_bez_sumu_TOGETHER{3, 1}(:,[1,3,5,7]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Right Ankle Dorsi/Plantar, nezašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);
% LEFT 
figure();subplot 121;
boxplot(Extremy_L_bez_sumu_TOGETHER{3, 1}(:,[2,4,6,8]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Left Ankle Dorsi/Plantar, nezašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);
% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_bez_sumu_TOGETHER{3, 1}(:,[2,4,6,8]),'Labels',{'Kontrola','1.DM','2.DM','3.DM'});
title('Right Ankle Dorsi/Plantar, nezašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);


% %%  ZAŠUMĚNÉ
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% HIP 
% LEFT 
figure();subplot 121;
boxplot(Extremy_L_noise_TOGETHER{1, 1}(:,[1,3,5,7,9]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Left Hip Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);
% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_noise_TOGETHER{1, 1}(:,[1,3,5,7,9]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Right Hip Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);
% LEFT 
figure();subplot 121;
boxplot(Extremy_L_noise_TOGETHER{1, 1}(:,[2,4,6,8,10]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Left Hip Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);
% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_noise_TOGETHER{1, 1}(:,[2,4,6,8,10]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Right Hip Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% %% KNEE
% LEFT 
figure();subplot 121;
boxplot(Extremy_L_noise_TOGETHER{2, 1}(:,[1,3,5,7,9]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Left Knee Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);

% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_noise_TOGETHER{2, 1}(:,[1,3,5,7,9]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Right Knee Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);

% LEFT 
figure();subplot 121;
boxplot(Extremy_L_noise_TOGETHER{2, 1}(:,[2,4,6,8,10]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Left Knee Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);

% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_noise_TOGETHER{2, 1}(:,[2,4,6,8,10]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Right Knee Flexion/Extension, zašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ANKLE
% LEFT 
figure();subplot 121;
boxplot(Extremy_L_noise_TOGETHER{3, 1}(:,[1,3,5,7,9]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Left Ankle Dorsi/Plantar, zašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);

% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_noise_TOGETHER{3, 1}(:,[1,3,5,7,9]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Right Ankle Dorsi/Plantar, zašuměné signály','FontSize',14);
ylabel('Úhel [°]','FontSize',12);

% LEFT 
figure();subplot 121;
boxplot(Extremy_L_noise_TOGETHER{3, 1}(:,[2,4,6,8,10]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Left Ankle Dorsi/Plantar, zašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);
% RIGHT 
% figure();
subplot 122;
boxplot(Extremy_R_noise_TOGETHER{3, 1}(:,[2,4,6,8,10]),'Labels',{'Kontrola','1.DM','2.DM','3.DM','EMD'});
title('Right Ankle Dorsi/Plantar, zašuměné signály','FontSize',14);
ylabel('% krokového cyklu','FontSize',12);

